%define		_class		Math
%define		_subclass	Stats
%define		upstream_name	%{_class}_%{_subclass}
%define		pre	beta3

Name:		php-pear-%{upstream_name}
Version:	0.9.0
Release:	%mkrel 14
Summary:	Classes to calculate statistical parameters
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Math_Stats/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}beta3.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Classes to calculate statistical parameters of numerical arrays of
data. The data can be in a simple numerical array, or in a cummulative
numerical array. A cummulative array, has the value as the index and
the number of repeats as the value for the array item, e.g. $data =
array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3). Nulls can be rejected, ignored
or handled as zero values.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}%{pre}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}%{pre}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests
rm -rf %{buildroot}%{_datadir}/pear/%{_class}/examples
rm -rf %{buildroot}%{_datadir}/pear/%{_class}/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}beta3/README*
%doc %{upstream_name}-%{version}beta3/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-14.mga3
+ Revision: 376911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.9.0-13.mga1
+ Revision: 43515
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Stats

